Bug 1287323 - During 7.1 -> 7.2 update Horizon fails to load static resources
During 7.1 -> 7.2 update Horizon fails to load static resources
Product: Red Hat OpenStack
Classification: Red Hat
Component: rhosp-director (Show other bugs)
7.0 (Kilo)
Unspecified Unspecified
unspecified Severity high
: ---
: 7.0 (Kilo)
Assigned To: chris alfonso
Depends On:
  Show dependency treegraph
Reported: 2015-12-01 18:57 EST by Marius Cornea
Modified: 2016-04-18 03:01 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2016-01-27 10:34:43 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Marius Cornea 2015-12-01 18:57:00 EST
Description of problem:
During the 7.1 -> 7.2 update Horizon fails to load static resources.

Version-Release number of selected component (if applicable):
pre-update: python-django-horizon-2015.1.1-2.el7ost.noarch
post-update: python-django-horizon-2015.1.2-3.el7ost.noarch

How reproducible:

Steps to Reproduce:
1. Start update
2. Check Horizon after yum update is ran on the first controller. 
3. Refresh the browser window for a couple of times

Actual results:
Some of the requests(most probably the ones that hit the controller that has just been updated) return 404 for some css and js:

Expected results:
All the resosurces are loaded.
Comment 2 Marius Cornea 2015-12-01 19:29:56 EST
It looks that this issue doesn't show up anymore after yum update is ran on all three controllers.

Note You need to log in before you can comment on or make changes to this bug.